#include <stdio.h>

#include "sdkconfig.h"

/* FreeRTOS */
#include "freertos/FreeRTOS.h"
#include "freertos/event_groups.h"
#include "freertos/task.h"

/* IDF */
#include "esp_log.h"
#include "esp_system.h"
#include "nvs_flash.h"
#include "spi_flash_mmap.h"

static const char *LOG_TAG = "APP_MAIN";

extern EventGroupHandle_t s_wifi_event_group;

void app_wifi_init(void);

void app_main(void) {
    esp_err_t ret = nvs_flash_init();
    if (ret == ESP_ERR_NVS_NO_FREE_PAGES || ret == ESP_ERR_NVS_NEW_VERSION_FOUND) {
        ESP_ERROR_CHECK(nvs_flash_erase());
        ret = nvs_flash_init();
    }
    ESP_ERROR_CHECK(ret);

    ESP_LOGI(LOG_TAG, "Playground started.\r\n");

    app_wifi_init();

    for (;;) {
        vTaskDelay(pdMS_TO_TICKS(1000));
    }
}
